%define upstream_name    Language-Befunge-Vector-XS
%define upstream_version 1.1.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13

Summary:	Language::Befunge::Vector rewritten for speed
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Language/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::More)
BuildRequires:	perl-devel

%description
The Language::Befunge module makes heavy use of n-dims vectors,
mapped to the Language::Befunge::Vector class. This allows to
abstract the funge dimension while still keeping the same code for the
operations.

However, such an heavy usage does have some impact on the performances.
Therefore, this modules is basically a rewrite of LBV in XS. If
installed, then LBV will automagically load it and replace its own
functions with the XS ones.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc LICENSE Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.1.1-13.mga6
+ Revision: 1029101
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.1.1-12.mga6
+ Revision: 957594
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.1.1-11.mga6
+ Revision: 842764
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-10.mga5
+ Revision: 739533
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-9.mga5
+ Revision: 685195
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.1.1-8.mga5
+ Revision: 631354
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.1.1-7.mga4
+ Revision: 524394
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.1.1-6.mga4
+ Revision: 430769
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-5.mga3
+ Revision: 368964
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.1.1-4.mga3
+ Revision: 250839
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.1.1-3.mga2
+ Revision: 104728
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.1.1-2.mga1
+ Revision: 30645
- mageia rebuild
- imported package perl-Language-Befunge-Vector-XS

